Subject: Re: [PATCH] rebase: ignore non-branch update-refs

From: "Abhinav Gupta" <[email-masked]>
Date: Sun, 10 May 2026 17:33:34 -0700

On Sun, May 10, 2026, at 17:20, Junio C Hamano wrote:
> I smell that you'd be suggesting to replace the patch we have
> discussed with another one that declares that it is a bug to use %d
> in insn format?  I do not think how well it would fly.

No, I didn't meant to imply that. I'm happy with the patch as-is.

Using %d in insn format is desirable, and I would not try to remove that.
I ran into this issue because of my own use of %d in insn format.

I was sharing an additional example for how this currently misbehaves:
not only does it generate the 'update-ref HEAD' in interactive contexts,
but it also breaks all non-interactive rebases with a non-empty todo list.